"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readConfigFile = void 0;
const path_1 = __importDefault(require("path"));
const resolve_1 = require("../util/resolve");
function readConfigFile(cwd) {
    const appConfigPath = (0, resolve_1.tryResolve)(path_1.default.join(cwd, '/arui-scripts.config'));
    if (appConfigPath) {
        // Мы не можем использовать импорты, нам нужен именно require, потому что мы не знаем заранее не только путь до файла,
        // но и то, на каком языке он написан
        // eslint-disable-next-line import/no-dynamic-require, global-require, @typescript-eslint/no-var-requires
        let appSettings = require(appConfigPath);
        // ts-node импортирует esModules, из них надо вытягивать default именно так
        // eslint-disable-next-line no-underscore-dangle
        if (appSettings.__esModule) {
            appSettings = appSettings.default;
        }
        return appSettings;
    }
    return null;
}
exports.readConfigFile = readConfigFile;
