"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWithConfigFile = void 0;
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const read_config_file_1 = require("./read-config-file");
const validate_settings_keys_1 = require("./validate-settings-keys");
function updateWithConfigFile(config, context) {
    const appSettings = (0, read_config_file_1.readConfigFile)(context.cwd);
    if (appSettings) {
        (0, validate_settings_keys_1.validateSettingsKeys)(config, appSettings, context.cwd);
        return (0, lodash_merge_1.default)(config, appSettings);
    }
    return config;
}
exports.updateWithConfigFile = updateWithConfigFile;
