"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateWithPresets = void 0;
// TODO: remove eslint-disable-next-line
const lodash_merge_1 = __importDefault(require("lodash.merge"));
const resolve_1 = require("../util/resolve");
const validate_settings_keys_1 = require("./validate-settings-keys");
function updateWithPresets(config, context) {
    if (!config.presets) {
        return config;
    }
    const presetsConfigPath = (0, resolve_1.tryResolve)(`${config.presets}/arui-scripts.config`, {
        paths: [context.cwd],
    });
    const presetsOverridesPath = (0, resolve_1.tryResolve)(`${config.presets}/arui-scripts.overrides`, {
        paths: [context.cwd],
    });
    if (presetsConfigPath) {
        // eslint-disable-next-line import/no-dynamic-require, @typescript-eslint/no-var-requires, global-require
        let presetsSettings = require(presetsConfigPath);
        // eslint-disable-next-line no-underscore-dangle
        if (presetsSettings.__esModule) {
            // ts-node импортирует esModules, из них надо вытягивать default именно так
            presetsSettings = presetsSettings.default;
        }
        (0, validate_settings_keys_1.validateSettingsKeys)(config, presetsSettings, presetsConfigPath);
        // eslint-disable-next-line no-param-reassign
        config = (0, lodash_merge_1.default)(config, presetsSettings);
    }
    if (presetsOverridesPath) {
        context.overridesPath.unshift(presetsOverridesPath);
    }
    return config;
}
exports.updateWithPresets = updateWithPresets;
