"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findPlugin = void 0;
/**
 *
 * @param config конфигурация webpack
 * @param pluginName имя плагина
 * @returns плагин или плагины, которые подошли под условие из testRule
 */
function findPlugin() {
    return (config, pluginName) => {
        if (!config.plugins || !pluginName)
            return [];
        const result = [];
        for (const plugin of config.plugins) {
            if ((plugin === null || plugin === void 0 ? void 0 : plugin.constructor.name) === pluginName) {
                result.push(plugin);
            }
        }
        return result;
    };
}
exports.findPlugin = findPlugin;
