import webpack from 'webpack';
export declare class AruiRuntimePlugin {
    apply(compiler: webpack.Compiler): void;
}
/**
 * Метод для вставки runtime чанков css в документ. Нужен для того, чтобы модули могли использовать shadow-dom.
 * Функция, которую возвращает этот метод - НЕ прогоняется через babel, поэтому он должен быть написан на чистом js,
 * без использования синтаксиса, который не поддерживается браузерами.
 * Более того, мы не можем использовать импорты или require внутри, это так же сломает сборку.
 */
export declare function getInsertCssRuntimeMethod(): (linkTag: HTMLLinkElement) => void;
